
// printf_scanf2.c
// this file is about printing long int type values when long int actually holds 8 byte information.

#include <stdio.h>

void printf_scanf2()
{
	printf("\n-----printf_scanf2\n");


	// ***use https://www.tutorialspoint.com/compile_c_online.php****//
	// ***to compile remaining codes  *******************************//
    // ***the int holds 4 bytes, long int holds 8 bytes**************//

	printf("%d  %d  %d\n", sizeof(short int), sizeof(int), sizeof(long int));
	// 2  4  8
	long int n7 = -9223372036854775808 ; // the number is LONG_MIN
	// %d and %i cannot be used when sizeof(int) != sizeof(long int)
	printf("%ld\n", n7);    //-9223372036854775808
	printf("%d\n",  n7);    // does not display the correct value
	printf("%i\n\n",  n7);  // does not display the correct value



	unsigned long int n8 = 18446744073709551615;
	printf("%lu\n",  n8);   //18446744073709551615
	printf("%lo\n",  n8);   //1777777777777777777777
	printf("%lx\n\n",  n8); //ffffffffffffffff

	//
}
