// printf_scanf3.c
// this file is about the use of scanf() function

#include <stdio.h>

void printf_scanf3()
{
	printf("\n-----printf_scanf3\n");
	int x;
	double y;

	printf("\nplease  enter values for x (int type) and y ( double type):\n");
	printf("<use space, tab and enter keys: i.e type 12 23.6 and press enter>\n" );
	//12<space>23.6<enter>

	//12<tab>23.6<enter>

	//12<enter>
	//23.6 <enter>

	scanf("%d%lf", &x, &y);

	printf("\n x = %d, y = %lf\n", x, y);
	printf("\nthe size of int variable = %d and the size of double variable = %d\n", sizeof(x), sizeof(y));
}


//NOTES***************************************//

/*
The first parameter of the scanf function is also a string. However, this string contains format specifiers related to the information to be received from the keyboard. These format specifiers are predefined and appear alongside the % character.

 We can say that the format specifiers used by the scanf function are the same as those used in the printf function. The only significant difference is in the format specifiers for real numbers. While the printf function can print both float and double data types to the screen using the %f format, the scanf function uses the %f format specifier only for float data types. For double types, the scanf function uses the %lf format specifier.

In the format section of the scanf function, there should be nothing other than format specifiers. While the printf function would print characters other than format specifiers within the quotation marks to the screen, the scanf function does not print characters other than format specifiers in the string, as these characters would carry a completely different meaning. Therefore, do not include anything other than format specifiers in this section without understanding how the function works, as even a space can have a different meaning.
*/
