#include <stdio.h>
// types.c
// this file is the value ranges  of the types in C

void types()
{
	printf("\n-----types\n");
    double a = 123123123.00;
    double b = 12.3456789;
    double c = 2312312312.123123;

    printf("%lf\n", a);
    printf("%lf\n", b);
    printf("%lf\n", c);

	//	123123123.000000
	//	12.345679
	//	2312312312.123123
}

//NOTES***************************************//

/*

				Length(byte)
type			(DOS / UNIX)      Range							Format Spec

signed char	 			1				   -128	           127  %c
unsigned char			1					  0	           255  %c
signed short int		2				-32.768	        32.767  %hd
unsigned short int		2	          	   	  0	        65.535  %hu

signed int				2				-32.768	        32.767  %d or %i
						4		 -2.147.483.648	 2.147.483.647

unsigned int	    	2	         	      0         65.535  %u
						4	                  0  4.294.967.295

long int	       	 	4		 -2.147.483.648	 2.147.483.647  %ld or %li
unsigned long int		4	            	  0	 4.294.967.295  %lu

long long int	     	8 	            -(2^63)       (2^63)-1 	%lld
unsigned long long int	8 	                  0       (2^64)-1 	%llu



FLOATING TYPES
				Length(byte)
type			(DOS / UNIX)      min/max

float			4	 	1.2 x 10^-38	3.4 x 10^38            %f
double			8	 	1.7 x 10^-308	1.7 x 10^308           %lf
long double	    16 		3.4 x 10^-4932 to 1.1 x 10^4932        %Lf

*/
//https://www.geeksforgeeks.org/data-types-in-c/?ref=shm
